<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: link_metric_conv_simple Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">link_metric_conv_simple Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae0ab537cdad5d77f75e9026ba6ec795f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f">link_metric_conv_to</a> (metric)</td></tr>
<tr class="separator:ae0ab537cdad5d77f75e9026ba6ec795f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebedee6a6444740e2fe2cb845d0ded99"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#aebedee6a6444740e2fe2cb845d0ded99">unlink_metric_conv</a> ()</td></tr>
<tr class="separator:aebedee6a6444740e2fe2cb845d0ded99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec6018f9c8c641f2c28e05aa3c087f5b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#aec6018f9c8c641f2c28e05aa3c087f5b">link_metric_conv_to_alt</a> (metric)</td></tr>
<tr class="separator:aec6018f9c8c641f2c28e05aa3c087f5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa432d05d2906712ae0d31f000784dcc0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#aa432d05d2906712ae0d31f000784dcc0">unlink_metric_conv_alt</a> ()</td></tr>
<tr class="separator:aa432d05d2906712ae0d31f000784dcc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab91840b7e51c6ce5c357b87a3d7572a5"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#ab91840b7e51c6ce5c357b87a3d7572a5">stc1</a> =&gt; null()</td></tr>
<tr class="separator:ab91840b7e51c6ce5c357b87a3d7572a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c9f4da3afdfa5a945bdb411c31d007"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a31c9f4da3afdfa5a945bdb411c31d007">stc2</a> =&gt; null()</td></tr>
<tr class="separator:a31c9f4da3afdfa5a945bdb411c31d007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b43dedba7ad502655c8a03593869e97"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a3b43dedba7ad502655c8a03593869e97">stcp</a> =&gt; null()</td></tr>
<tr class="separator:a3b43dedba7ad502655c8a03593869e97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fbcf58828d3d76f292c2630f2e856e3"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">st1r</a> =&gt; null()</td></tr>
<tr class="separator:a0fbcf58828d3d76f292c2630f2e856e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5e7608eac8ad70b696f9d6fb4f1515f"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">st2r</a> =&gt; null()</td></tr>
<tr class="separator:ab5e7608eac8ad70b696f9d6fb4f1515f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57325473b0387a493b72d400d589e684"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structmetric__conv__defs_1_1metric__conv__.html">metric_conv_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">met_c</a> =&gt; null()</td></tr>
<tr class="separator:a57325473b0387a493b72d400d589e684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176285b334dc1d5f33aa783255e94a0b"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a176285b334dc1d5f33aa783255e94a0b">linked</a> = .FALSE.</td></tr>
<tr class="separator:a176285b334dc1d5f33aa783255e94a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b7006b687af22d65e2281ee9db87bc"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__metric__conv__simple.html#a03b7006b687af22d65e2281ee9db87bc">linked_name</a> = 'N/A'</td></tr>
<tr class="separator:a03b7006b687af22d65e2281ee9db87bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ae0ab537cdad5d77f75e9026ba6ec795f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0ab537cdad5d77f75e9026ba6ec795f">&#9670;&nbsp;</a></span>link_metric_conv_to()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine link_metric_conv_simple::link_metric_conv_to </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structmetric__conv__defs_1_1metric__conv__.html">metric_conv_</a>), intent(in), target&#160;</td>
          <td class="paramname"><em>metric</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#a176285b334dc1d5f33aa783255e94a0b">linked</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a03b7006b687af22d65e2281ee9db87bc">linked_name</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">met_c</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">st1r</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">st2r</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab91840b7e51c6ce5c357b87a3d7572a5">stc1</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a31c9f4da3afdfa5a945bdb411c31d007">stc2</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a3b43dedba7ad502655c8a03593869e97">stcp</a>, and <a class="el" href="namespacemetric__conv__defs.html#a8b5bf5a0796e4be3cd922814df8556ed">metric_conv_defs::type_ke_based_rhoi</a>.</p>

</div>
</div>
<a id="aec6018f9c8c641f2c28e05aa3c087f5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec6018f9c8c641f2c28e05aa3c087f5b">&#9670;&nbsp;</a></span>link_metric_conv_to_alt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine link_metric_conv_simple::link_metric_conv_to_alt </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structmetric__conv__defs_1_1metric__conv__.html">metric_conv_</a>), intent(in), target&#160;</td>
          <td class="paramname"><em>metric</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f">link_metric_conv_to()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_cgraph.png" border="0" usemap="#namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_cgraph" alt=""/></div>
<map name="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_cgraph" id="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_cgraph">
<area shape="rect" id="node2" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="220,5,385,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_icgraph.png" border="0" usemap="#namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_icgraph" alt=""/></div>
<map name="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_icgraph" id="namespacelink__metric__conv__simple_aec6018f9c8c641f2c28e05aa3c087f5b_icgraph">
<area shape="rect" id="node2" href="namespacelink__metric__conv.html#a3978800ddb41a72b96e1376185b4a10a" title="link_metric_conv::link\l_metric_conv_to" alt="" coords="220,541,368,583"/>
<area shape="rect" id="node3" href="namespacearts__func.html#aaf5fd7086b7716c68ea2e3504129e6f5" title="arts_func::ensure_arts\l_compatibility" alt="" coords="435,119,587,160"/>
<area shape="rect" id="node13" href="arts__wc__simulation_8f90.html#a77e15fe6183ccd36c258764407d71169" title="update_divg_u" alt="" coords="458,250,565,277"/>
<area shape="rect" id="node16" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="433,184,589,225"/>
<area shape="rect" id="node17" href="namespacecfd__hybrid__conv.html#a5ed7ee819fa5a3cfe121b111d1acbeed" title="cfd_hybrid_conv::cfd\l_hybrid_density" alt="" coords="679,651,822,692"/>
<area shape="rect" id="node19" href="namespacecfd__shock__density__m.html#a139aed9908625add94e862667ce40113" title="cfd_shock_density_m\l::cfd_shock_density" alt="" coords="903,559,1053,600"/>
<area shape="rect" id="node20" href="namespacecfd__shock__density__m.html#a342429263a841efde2f0130628e34471" title="cfd_shock_density_m\l::cfd_shock_hyb_density" alt="" coords="895,483,1061,524"/>
<area shape="rect" id="node21" href="namespacecfd__shock__density__schemes.html#a7f326228e52bb9262bee39ea028d3dc0" title="cfd_shock_density_schemes\l::cfd_shock_density_scheme" alt="" coords="655,483,847,524"/>
<area shape="rect" id="node22" href="namespacecfd__shock__density__schemes.html#a6ecf0f6f95103d8ef7a6ac87b7a1479c" title="cfd_shock_density_schemes\l::cfd_shock_density_lf" alt="" coords="416,352,607,393"/>
<area shape="rect" id="node23" href="namespacecfd__shock__density__schemes.html#aa4af29a1acf66018fde402862f87d0c5" title="cfd_shock_density_schemes\l::cfd_shock_density_hll" alt="" coords="416,417,607,459"/>
<area shape="rect" id="node24" href="namespacecfd__shock__density__schemes.html#a1b70ea63fe1e1696d42e020dae7c8b73" title="cfd_shock_density_schemes\l::cfd_shock_density_hllc" alt="" coords="416,483,607,524"/>
<area shape="rect" id="node25" href="namespacemetric__conv__func.html#ad50d6fe37199375c61c9bb66d2d2f320" title="metric_conv_func::metric\l_conv_compute_coeffs" alt="" coords="427,701,596,743"/>
<area shape="rect" id="node26" href="namespacemetric__conv__func.html#ae3e6f20d19803702cbc383b9a73e9ae3" title="metric_conv_func::metric\l_conv_init" alt="" coords="666,819,835,860"/>
<area shape="rect" id="node28" href="namespacemetric__conv__func.html#a387b86f355950e69ecffad0dc4e74f22" title="metric_conv_func::metric\l_conv_compute_primary" alt="" coords="427,819,596,860"/>
<area shape="rect" id="node29" href="namespacemetric__conv__func.html#ac1d95726cd1f6045877625f2cba8cbdb" title="metric_conv_func::metric\l_conv_enforce_cyl" alt="" coords="427,884,596,925"/>
<area shape="rect" id="node30" href="namespacemetric__conv__func.html#a4d2a0a71785f1414ae79bbc0d8920aba" title="metric_conv_func::metric\l_conv_enforce_dim" alt="" coords="427,949,596,991"/>
<area shape="rect" id="node4" href="namespacearts__cf__func.html#a53485d130a4558d465c3308f029e2d8d" title="arts_cf_func::ensure\l_arts_cf_compatibility" alt="" coords="676,67,825,108"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="681,132,821,173"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="911,67,1045,108"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1113,5,1241,47"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1109,71,1244,112"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1295,13,1357,39"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1292,78,1360,105"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="896,139,1060,166"/>
<area shape="rect" id="node12" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1155,139,1199,166"/>
<area shape="rect" id="node14" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="672,209,829,251"/>
<area shape="rect" id="node15" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="925,217,1031,243"/>
<area shape="rect" id="node18" href="namespacecfd__rk__solver.html#a5f5d56ef4f1d37759f6e80e2c1768820" title="cfd_rk_solver::cfd\l_rk_density_step" alt="" coords="1113,559,1240,600"/>
<area shape="rect" id="node27" href="test__object_8f90.html#ace05784eeb9fe11cef9f7774a3acb85a" title="accu_ops" alt="" coords="939,826,1017,853"/>
</map>
</div>

</div>
</div>
<a id="aebedee6a6444740e2fe2cb845d0ded99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebedee6a6444740e2fe2cb845d0ded99">&#9670;&nbsp;</a></span>unlink_metric_conv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine link_metric_conv_simple::unlink_metric_conv </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#a176285b334dc1d5f33aa783255e94a0b">linked</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a03b7006b687af22d65e2281ee9db87bc">linked_name</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">met_c</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">st1r</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">st2r</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab91840b7e51c6ce5c357b87a3d7572a5">stc1</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a31c9f4da3afdfa5a945bdb411c31d007">stc2</a>, and <a class="el" href="namespacelink__metric__conv__simple.html#a3b43dedba7ad502655c8a03593869e97">stcp</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelink__metric__conv__simple_aebedee6a6444740e2fe2cb845d0ded99_icgraph.png" border="0" usemap="#namespacelink__metric__conv__simple_aebedee6a6444740e2fe2cb845d0ded99_icgraph" alt=""/></div>
<map name="namespacelink__metric__conv__simple_aebedee6a6444740e2fe2cb845d0ded99_icgraph" id="namespacelink__metric__conv__simple_aebedee6a6444740e2fe2cb845d0ded99_icgraph">
<area shape="rect" id="node2" href="namespacelink__metric__conv__simple.html#aa432d05d2906712ae0d31f000784dcc0" title="link_metric_conv_simple\l::unlink_metric_conv_alt" alt="" coords="219,5,384,47"/>
<area shape="rect" id="node3" href="namespacelink__metric__conv.html#a873bba0e1e939f4845e768de8a3efec7" title="link_metric_conv::unlink\l_metric_conv" alt="" coords="432,5,595,47"/>
<area shape="rect" id="node4" href="namespacemetric__conv__func.html#ae3e6f20d19803702cbc383b9a73e9ae3" title="metric_conv_func::metric\l_conv_init" alt="" coords="643,5,812,47"/>
<area shape="rect" id="node5" href="test__object_8f90.html#ace05784eeb9fe11cef9f7774a3acb85a" title="accu_ops" alt="" coords="860,13,939,39"/>
</map>
</div>

</div>
</div>
<a id="aa432d05d2906712ae0d31f000784dcc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa432d05d2906712ae0d31f000784dcc0">&#9670;&nbsp;</a></span>unlink_metric_conv_alt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine link_metric_conv_simple::unlink_metric_conv_alt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#aebedee6a6444740e2fe2cb845d0ded99">unlink_metric_conv()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_cgraph.png" border="0" usemap="#namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_cgraph" alt=""/></div>
<map name="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_cgraph" id="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_cgraph">
<area shape="rect" id="node2" href="namespacelink__metric__conv__simple.html#aebedee6a6444740e2fe2cb845d0ded99" title="link_metric_conv_simple\l::unlink_metric_conv" alt="" coords="219,5,384,47"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_icgraph.png" border="0" usemap="#namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_icgraph" alt=""/></div>
<map name="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_icgraph" id="namespacelink__metric__conv__simple_aa432d05d2906712ae0d31f000784dcc0_icgraph">
<area shape="rect" id="node2" href="namespacelink__metric__conv.html#a873bba0e1e939f4845e768de8a3efec7" title="link_metric_conv::unlink\l_metric_conv" alt="" coords="219,5,381,47"/>
<area shape="rect" id="node3" href="namespacemetric__conv__func.html#ae3e6f20d19803702cbc383b9a73e9ae3" title="metric_conv_func::metric\l_conv_init" alt="" coords="429,5,599,47"/>
<area shape="rect" id="node4" href="test__object_8f90.html#ace05784eeb9fe11cef9f7774a3acb85a" title="accu_ops" alt="" coords="647,13,725,39"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a176285b334dc1d5f33aa783255e94a0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176285b334dc1d5f33aa783255e94a0b">&#9670;&nbsp;</a></span>linked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private link_metric_conv_simple::linked = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03b7006b687af22d65e2281ee9db87bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b7006b687af22d65e2281ee9db87bc">&#9670;&nbsp;</a></span>linked_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium), private link_metric_conv_simple::linked_name = 'N/A'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57325473b0387a493b72d400d589e684"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57325473b0387a493b72d400d589e684">&#9670;&nbsp;</a></span>met_c</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structmetric__conv__defs_1_1metric__conv__.html">metric_conv_</a>), pointer link_metric_conv_simple::met_c =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fbcf58828d3d76f292c2630f2e856e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fbcf58828d3d76f292c2630f2e856e3">&#9670;&nbsp;</a></span>st1r</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer link_metric_conv_simple::st1r =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5e7608eac8ad70b696f9d6fb4f1515f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5e7608eac8ad70b696f9d6fb4f1515f">&#9670;&nbsp;</a></span>st2r</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer link_metric_conv_simple::st2r =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab91840b7e51c6ce5c357b87a3d7572a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab91840b7e51c6ce5c357b87a3d7572a5">&#9670;&nbsp;</a></span>stc1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer link_metric_conv_simple::stc1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31c9f4da3afdfa5a945bdb411c31d007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31c9f4da3afdfa5a945bdb411c31d007">&#9670;&nbsp;</a></span>stc2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer link_metric_conv_simple::stc2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b43dedba7ad502655c8a03593869e97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b43dedba7ad502655c8a03593869e97">&#9670;&nbsp;</a></span>stcp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer link_metric_conv_simple::stcp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
